import * as React from "react"
import { SVGProps } from "react"

const SvgComponent = (props: SVGProps<SVGSVGElement>) => (
  <svg
    width={31}
    height={30}
    fill="none"
    xmlns="http://www.w3.org/2000/svg"
    {...props}
  >
    <rect
      x={0.699}
      y={0.203}
      width={29.602}
      height={29.602}
      rx={3.524}
      fill="#244D08"
      fillOpacity={0.4}
    />
    <path
      fillRule="evenodd"
      clipRule="evenodd"
      d="M8.68 9.839a8.671 8.671 0 0 1 7.316-3.997c4.78 0 8.667 3.852 8.667 8.617 0 3.28-1.84 6.126-4.545 7.583v.723a.862.862 0 0 1-.861.862h-1.723c-6.183 0-11.196-5.015-11.196-11.203v-1.723c0-.476.385-.862.861-.862h1.48Zm1.328 1.35a6.84 6.84 0 0 1 5.988-3.514c3.78 0 6.834 3.044 6.834 6.784a6.77 6.77 0 0 1-3.137 5.708.857.857 0 0 0-.295-.107l-3.82-.637a.861.861 0 0 0-.912.465l-.667 1.334a9.508 9.508 0 0 1-5.257-5.26l1.333-.668a.862.862 0 0 0 .465-.912l-.532-3.193Z"
      fill="#1D2319"
    />
    <path
      d="M11.772 16.993v-.495l1.861-2.037c.219-.239.399-.446.54-.623.141-.178.246-.345.314-.5.07-.159.104-.324.104-.496a.915.915 0 0 0-.528-.851 1.25 1.25 0 0 0-.55-.118c-.217 0-.406.045-.568.135a.929.929 0 0 0-.372.371c-.086.16-.13.347-.13.562h-.649c0-.33.076-.62.229-.87.152-.25.36-.444.622-.584.264-.14.56-.209.89-.209.33 0 .622.07.877.21.255.139.456.327.6.564.146.236.218.5.218.79 0 .207-.038.41-.113.608a2.687 2.687 0 0 1-.385.658c-.182.24-.434.534-.757.881l-1.267 1.355v.044h2.621v.605h-3.557ZM16.213 15.837v-.562l2.478-3.92h.407v.87h-.275l-1.872 2.962v.044h3.337v.606h-4.075Zm2.654 1.156v-5.638h.65v5.638h-.65Z"
      fill="#1D2319"
    />
  </svg>
)

export default SvgComponent
